Subject: bug#65814: closed (Re: [bug#65814] [PATCH 00/19] gnu: Astronomy 2023/08 updates.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 27 Sep 2023 11:45:03 +0000

Your bug report

#65814: [PATCH 00/19] gnu: Astronomy 2023/08 updates.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65814: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65814
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#65814] [PATCH 00/19] gnu: Astronomy 2023/08 updates.
From: Christopher Baines <[email-masked]>
To: Sharlatan Hellseher <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 27 Sep 2023 12:42:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Sharlatan Hellseher <[email-masked]> writes:

> Hi Guix!
>
> Easy to win not breaking patch series which updates and improve some
> Astronomy related packages. python-tslearn is updated as well to fix build
> after python-astropy update.

I think there were some preexisting problems around these packages on
the bordeaux build farm, but I think that's been worked around for
x86_64-linux at least now. Most of the packages involved in this patch
series are still blocked for other systems though.

The changes look good to me and I've pushed these patches to master as
105113f241f5814759d4ff4c7b95376f8b8d450d.

Thanks,

Chris

Subject: [PATCH 00/19] gnu: Astronomy 2023/08 updates.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Cc: Sharlatan Hellseher <[email-masked]>
Date: Thu, 7 Sep 2023 23:31:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

Easy to win not breaking patch series which updates and improve some
Astronomy related packages. python-tslearn is updated as well to fix build
after python-astropy update.

Regards,
Oleg

> ./pre-inst-env guix build $(./pre-inst-env guix refresh --list-dependent python-astropy python-stdatamodels python-roman-datamodels python-rad python-pyvo python-photutils python-jwst python-fitsio python-crds python-bayesicfitting python-sunpy python-cdflib python-astropy-healpix splash libxisf | awk -F: '{print $2}')
> /gnu/store/jdndwsfpfyfz42xd6nidx1jxfgcms851-python-sunpy-5.0.0
> /gnu/store/2fk97dy9jf99ds6bf6f8q9drj9kl5xmj-python-astroalign-2.4.2
> /gnu/store/4f5f60jzk712dxdidgafvr58d7ncrqk2-python-jwst-1.11.4
> /gnu/store/1rrs1ngidi5d91gwyc642faax3fbmlmh-python-poliastro-0.17.0
> /gnu/store/34kmwg37dmb9b2rya0zbps0n72rbhv80-python-tslearn-0.6.2
> /gnu/store/p0bwy15kjbcj30scbwangnvzzir12a52-python-regions-0.7

Sharlatan Hellseher (19):
  gnu: libxisf: Update to 0.2.9.
  gnu: libxisf: Extend description.
  gnu: splash: Update to 3.8.4.
  gnu: python-astropy-healpix: Update to 1.0.0.
  gnu: python-cdflib: Update to 1.1.0.
  gnu: python-cdflib: Fix version detection.
  gnu: python-sunpy: Enable more tests.
  gnu: python-bayesicfitting: Update to 3.2.0.
  gnu: python-crds: Update to 11.17.4.
  gnu: python-fitsio: Update to 1.2.0.
  gnu: python-jwst: Update to 1.11.4.
  gnu: python-photutils: Update to 1.9.0.
  gnu: python-pyvo: Update to 1.4.2.
  gnu: python-rad: Update to 0.17.1.
  gnu: python-roman-datamodels: Update to 0.17.1.
  gnu: python-roman-datamodels: Remove all test constrains.
  gnu: python-stdatamodels: Update to 1.8.0.
  gnu: python-astropy: Update to 5.3.3.
  gnu: python-tslearn: Update to 0.6.2.

 gnu/packages/astronomy.scm        | 144 +++++++++++++++---------------
 gnu/packages/machine-learning.scm |   4 +-
 2 files changed, 74 insertions(+), 74 deletions(-)

base-commit: 6113e0529d61df7425f64e30a6bf77f7cfdfe5a5
-- 
2.41.0